from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.document import XEmbeddedObjectSupplier

@runtime_checkable
class XEmbeddedObjectSupplier2(XEmbeddedObjectSupplier, Protocol):
    def getExtendedControlOverEmbeddedObject(self) -> XEmbeddedObject: ...
